import { defineCustomElement } from 'vue';
import GreetingElement from './components/Greeting.ce.vue';

const TAG_NAME = 'trustcontact-greeting';

export function registerWebComponents(): void {
  if (!customElements.get(TAG_NAME)) {
    customElements.define(TAG_NAME, defineCustomElement(GreetingElement));
  }
}

registerWebComponents();
